Package com.orbbec.obsensor

## Class FormatConvertFilter

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Filter
    - - com.orbbec.obsensor.FormatConvertFilter

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class FormatConvertFilter
    extends Filter

FormatConvertFilter For data stream format conversion

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Constructor Summary

Constructors
`FormatConvertFilter()` Create a format conversion filter

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setFormatType​(FormatConvertType type)` Set the data stream conversion format

### Methods inherited from class com.orbbec.obsensor.Filter

`close, process, pushFrame, reset, setCallback`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FormatConvertFilter

    public FormatConvertFilter()

Create a format conversion filter

### Method Detail

#### setFormatType

    public void setFormatType​(FormatConvertType type)

Set the data stream conversion format

Parameters:
  `type` - Data Stream Transformation Format